Description

"author" and "assigned_to" fields included in "get issues" XML response have user full name under ambiguous "name" attribute:

<author name="Alexey Java" id="421"/>

<assigned_to name="Alexey Java" id="421"/>

can we have several separate attributes for "author" and "assigned_to" instead:

login

id

firstName

lastName

?

this would simplify the response parsing. I can't reconstruct firstName and lastName from this response without making a separate

"getUsers()" call to the server, which seems unnecessary.

History

#1 - 2011-03-23 14:52 - Etienne Massip

- Tracker changed from Defect to Feature

#2 - 2011-12-15 14:43 - Terence Mill

It should be possible to set author by all attributes only which have key property (login, email, internal id)

#3 - 2011-12-15 15:02 - Terence Mill

related to #1739

#4 - 2013-07-18 04:34 - Alex Last

this is about the response from the server, not about setting values by the clients. we can't properly parse the server response from this combined

"name" which actually contains a combination of first name, space, then last name - what if they contain spaces in names?..

#5 - 2018-05-27 23:21 - Alex Last

if anyone is working on REST API, is it possible to make this improvement? this can be made in a backward-compatible manner by adding new fields

to the response.
